# Uses of Class
com.logicaldoc.core.ticket.Ticket

Packages that use Ticket
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects
com.logicaldoc.core.ticket

## Uses of Ticket in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return Ticket
Modifier and Type
Method
Description
`Ticket`
DocumentManager.`createTicket(Ticket ticket, DocumentHistory transaction)`
Creates a new ticket.
Methods in com.logicaldoc.core.document with parameters of type Ticket
Modifier and Type
Method
Description
`Ticket`
DocumentManager.`createTicket(Ticket ticket, DocumentHistory transaction)`
Creates a new ticket.

## Uses of Ticket in com.logicaldoc.core.ticket

Methods in com.logicaldoc.core.ticket that return Ticket
Modifier and Type
Method
Description
`Ticket`
HibernateTicketDAO.`findByTicketId(String ticketId)`
`Ticket`
TicketDAO.`findByTicketId(String ticketId)`
This finds a ticket by its identifier and runs the validation
Methods in com.logicaldoc.core.ticket with parameters of type Ticket
Modifier and Type
Method
Description
`void`
TicketListener.`afterStore(Ticket ticket, DocumentHistory transaction, Map<String,Object> dictionary)`
Called after a ticket is stored in the database
`void`
TicketListener.`beforeStore(Ticket ticket, DocumentHistory transaction, Map<String,Object> dictionary)`
Called before a ticket is stored in the database
`void`
HibernateTicketDAO.`store(Ticket entity)`
`void`
HibernateTicketDAO.`store(Ticket ticket, DocumentHistory transaction)`
`void`
TicketDAO.`store(Ticket ticket, DocumentHistory transaction)`
This method persists the download ticket object and insert a new document history entry
`void`
TicketListener.`validate(Ticket ticket, Map<String,Object> dictionary)`
Called to perform required validations on a ticket